{% extends "base.html" %}

{% block static %}
  {% load static %}
<!-- Include Datatable CSS and Javscript -->
  <link rel="stylesheet" href="https://cdn.datatables.net/2.0.3/css/dataTables.dataTables.css" />
  <script src="https://cdn.datatables.net/2.0.3/js/dataTables.js"></script>
{% endblock %}

{% block title %}Strapper - Scan report{% endblock %}

{% block content %}
<!-- Got an error scanning the container -->
  {% if report.error %}
    <h1>Failed to scan the container for vulnerabilities. Please contact us for support.</h1>
  {% else %}
<!-- Scan report -->
    <main class="container pt-5">
      <div class="row">
        <div class="col-12">
          <h2>Vulnerabilities</h2>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <table class="table table-striped" id="vulnerabilities-table">
            <thead>
              <tr>
                <th scope="col">ID</th>
                <th scope="col">Severity</th>
                <th scope="col">Package</th>
                <th scope="col">Version</th>
                <th scope="col">Fix version</th>
                <th scope="col">Description</th>
              </tr>
            </thead>
            <tbody>
              {% for vulnerability in report %}
                <tr>
                  <th scope="row">{{ vulnerability.id }}</th>
                  <td>{{ vulnerability.severity }}</td>
                  <td>{{ vulnerability.package }}</td>
                  <td>{{ vulnerability.version }}</td>
                  <td>{{ vulnerability.fix_version }}</td>
                  <td>{{ vulnerability.description }}</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </main>
  {% endif %}
{% endblock %}

{% block script %}
  {% load static %}
  <script>
    $(document).ready(function() {
      $('#vulnerabilities-table').DataTable();
    });
  </script>
{% endblock %}